Bug 1448907 - [abrt] [faf] NetworkManager: g_logv(): /usr/sbin/NetworkManager killed by 5
Summary: [abrt] [faf] NetworkManager: g_logv(): /usr/sbin/NetworkManager killed by 5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-08 15:31 UTC by Beniamino Galvani
Modified: 2017-08-01 09:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC


Attachments (Terms of Use)
[PATCH] device: release removed devices from master on cleanup (2.67 KB, patch)
2017-05-09 07:18 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Beniamino Galvani 2017-05-08 15:31:07 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/c705f2500fd8b4480c2cbedecf067ddd25439c5a/

nm_platform_link_release: assertion 'slave > 0' failed

1       g_logv
2       g_log
3       nm_platform_link_release
4       release_slave
5       nm_device_master_release_one_slave
6       slave_state_changed
7       ffi_call_unix64
8       ffi_call
9       g_cclosure_marshal_generic
10      g_closure_invoke
11      signal_emit_unlocked_R
12      g_signal_emit_valist
13      g_signal_emit
14      _set_state_full
15      nm_device_unrealize
16      _platform_link_cb_idle
17      g_main_context_dispatch
18      g_main_context_iterate.isra.24
19      g_main_loop_run
20      main

Comment 2 Beniamino Galvani 2017-05-09 07:18:58 UTC
Created attachment 1277234 [details]
[PATCH] device: release removed devices from master on cleanup

Comment 3 Beniamino Galvani 2017-05-09 07:21:47 UTC
Reproducer:

#!/bin/sh

ip l add veth0 type veth peer name veth1
ip l set veth0 up
ip l set veth1 up

nmcli connection add type bridge ifname br1 con-name bridge-br1 ip4 9.9.9.9/32

nmcli connection add type ethernet ifname veth0 con-name bridge-slave-veth0 master bridge-br1

nmcli connection up bridge-br1
nmcli connection up bridge-slave-veth0

sleep 1

ip l del veth0

Comment 4 Thomas Haller 2017-05-16 10:22:33 UTC
Maybe this is the same bug as 1445394, what do you think Beniamino?

Patch lgtm.

Comment 5 Beniamino Galvani 2017-05-22 08:32:14 UTC
(In reply to Thomas Haller from comment #4)
> Maybe this is the same bug as 1445394, what do you think Beniamino?

I think it's different, the fix from bug 1445394 doesn't solve the failed assertion hit with the reproducer in comment 3.

Comment 7 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.